#include <iostream>
#include <vector>
#include <string>
#include <algorithm>
#include <cmath>

using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    int m, n, k;
    cin >> m >> n >> k;
    cout << ((m + k - 1) / k) * ((n + k - 1) / k);
}